Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1366725 - Add explicit -latomic on 32-bit MIPS
Summary: Add explicit -latomic on 32-bit MIPS
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qt5-qttools
Version: rawhide
Hardware: mips32
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: MIPS
TreeView+ depends on / blocked
 
Reported: 2016-08-12 16:02 UTC by Michal Toman
Modified: 2016-08-27 10:34 UTC (History)
7 users (show)

Fixed In Version: qt5-qttools-5.7.0-3.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-27 10:34:05 UTC


Attachments (Terms of Use)
Add-explicit-latomic-on-32-bit-MIPS.patch (deleted)
2016-08-12 16:02 UTC, Michal Toman
no flags Details | Diff
build.log (deleted)
2016-08-14 17:25 UTC, Michal Toman
no flags Details

Description Michal Toman 2016-08-12 16:02:34 UTC
Created attachment 1190492 [details]
Add-explicit-latomic-on-32-bit-MIPS.patch

Description of problem:
We are trying to bring Fedora to MIPS platform and this requires updating qt5-qttools to add explicit -latomic on 32-bit MIPS.

Actual results:
Build fails because linker is missing libatomic on 32-bit MIPS.

Expected results:
Build passes.

Additional info:
Attaching dist-git patch. It would be nice to have this in F25 as well.

Comment 1 Rex Dieter 2016-08-13 11:56:34 UTC
Will we need to carry this indefinitely or is it temporary?

If permanent, can you please briefly explain why this is needed?

Comment 2 Fedora Update System 2016-08-13 13:01:58 UTC
qt5-qttools-5.7.0-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-fe0f406edf

Comment 3 Michal Toman 2016-08-14 17:25:35 UTC
Created attachment 1190774 [details]
build.log

It is likely permanent. 32-bit MIPS is not able to perform 64-bit atomics in hardware. GCC is smart enough to detect that and use the implementation from libatomic but the linker needs explicit -latomic to link properly:

/usr/bin/ld: .obj/qtdiag.o: undefined reference to symbol '__atomic_load_8@@LIBATOMIC_1.0'
/lib/libatomic.so.1: error adding symbols: DSO missing from command line
collect2: error: ld returned 1 exit status

Attaching build log.

More packages suffer from this issue and 32-bit MIPS is the only affected architecture.

Comment 4 Rex Dieter 2016-08-14 23:05:11 UTC
thanks.

Comment 5 Fedora Update System 2016-08-15 18:27:59 UTC
qt5-qttools-5.7.0-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-fe0f406edf

Comment 6 Fedora Update System 2016-08-27 10:34:01 UTC
qt5-qttools-5.7.0-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.